<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <h3>{{numero1}}</h3><br>
        <h3>{{numero2}}</h3>
        <input type="number" v-model="numero1">
        <input type="number" v-model="numero2">
        <hr>
        <p>Suma: {{suma()}}</p><br>
        <p>Resta: {{resta()}}</p><br>
        <p>Multiplicacion: {{multiplicacion()}}</p><br>
        <p>División: {{division()}}</p>


    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        const app = new Vue({
            el:"#app",
            data: {
              numero1: 0,
              numero2: 0,

            },
            methods: {
                suma: function(){
                    return this.numero1 - (- this.numero2)
                },
                resta: function(){
                    return this.numero1 -  this.numero2
                },
                multiplicacion: function(){
                    return this.numero1 * this.numero2
                },
                division: function(){
                    return this.numero1 / this.numero2
                }
            }
        })
    </script>
</body>
</html>